Skip to content

Get inbound metrics

GET
/v1/inbound-metrics
curl --request GET \
--url 'https://api.hookbridge.io/v1/inbound-metrics?window=24h&inbound_endpoint_id=01935abc-def0-7123-4567-890abcdef012' \
--header 'Authorization: Bearer <token>'

Retrieve aggregated delivery metrics for inbound webhook messages. Optionally filter by a specific inbound endpoint.

window
string
default: 24h
Allowed values: 1h 24h 7d 30d

Time window for metrics

Example
24h
inbound_endpoint_id
string format: uuid

Optional filter by inbound endpoint ID

Example
01935abc-def0-7123-4567-890abcdef012

Inbound metrics retrieved successfully

Media typeapplication/json
object
data
object
window

Time window for these metrics

string
Allowed values: 1h 24h 7d 30d
total_messages

Total number of inbound messages in the window

integer
succeeded

Successfully delivered messages

integer
failed

Permanently failed messages

integer
retries

Total retry attempts

integer
success_rate

Ratio of succeeded to total messages

number format: float
avg_latency_ms

Average delivery latency in milliseconds

integer
avg_delivery_time_ms

Average total time from received to delivered in milliseconds

integer
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"data": {
"window": "24h",
"total_messages": 5000,
"succeeded": 4900,
"failed": 20,
"retries": 80,
"success_rate": 0.98,
"avg_latency_ms": 150,
"avg_delivery_time_ms": 3200
},
"meta": {
"request_id": "req_xyz123"
}
}

Invalid window or endpoint_id parameter

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "INVALID_REQUEST",
"message": "endpoint must be a valid HTTPS URL"
},
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.